Jump to content

Network compatibility : LO+FC+BS / LO+BS


Recommended Posts

Hello,

 

ED recently seems to have changed its mind about BS including FC.

The official website now reads :

There will be both a download and CD version. For both versions:

 

  • If you already have Flaming Cliffs, it will add all the 1.2 content.
  • If you don't have Flaming Cliffs, it will upgrade Lock On to 1.2 standard but it will not include the Su-25T and Flaming Cliffs missions and campaigns.

 

OK, so if you own LO+BS, you've got a 1.2 version, but no flyable Su-25T. That's OK.

But will the LO+FC+BS and LO+BS (both giving "1.2") be compatible for Multiplayer ?

 

Regards,

Azrayen'

spacer.png

Link to comment
Share on other sites

Hello,

 

ED recently seems to have changed its mind about BS including FC.

The official website now reads :

 

 

OK, so if you own LO+BS, you've got a 1.2 version, but no flyable Su-25T. That's OK.

But will the LO+FC+BS and LO+BS (both giving "1.2") be compatible for Multiplayer ?

 

Regards,

Azrayen'

 

This just puzzles me. How are they going to remove the Su25T?

 

The entity has to be in-game as an AI aircraft, and we're all familiar with the MeInit tweaks enabling AI aircraft as flyable. What are they going to do, physically remove flight model code for the Su25T?

 

I don't understand why they'd do that. Commercially it'd force you to buy two addons so they get more money, OK, but that would inevitably prove to be a serious bone of contention in the community.

 

 

I'd certainly hope they could find a way to make the two compatible - creating two versions identical save for the lack of the Su25T that aren't compatible with each other online is just daft.

 

And what about other Flaming Cliffs content?

I can't see them going back to the normal flight model on the Su25, removing the new avionics and other improvements from the other aircraft again seems like a bad idea . . . .

 

I'm a bit uneasy with all this.

Link to comment
Share on other sites

Seems like a logical choice to me--why would they give away for free the work they did for FC?? And for someone new, the initial cost for LO + FC is low anyway.

 

I would imagine that for mp everyone that will fly online already has FC, so they will just need BS for compatability. The instances where someone buys LO and BS without getting FC will be very rare.

Link to comment
Share on other sites

Probably just lock the 25T out. So the games are compatable, but BS owners can't use the 25T. So in multiplayer, they just are not allowed in.

 

Those improvements in FC can be considered to be superceeded by BS, and so they are not really giving it away.

Link to comment
Share on other sites

If I got that right (I don't have any more information here), the only difference will be that the Su-25T will not be flyable if you don't have FC installed - that's all. Network compatibility should not be an issue. As I already commented in a similar thread, that is actually one of many reasons why it's not practical to pick out individual improvements that came with 1.1 and not apply them in 1.2 as long as FC isn't installed.

Caretaker

 

ED Beta Test Team

Link to comment
Share on other sites

Network compatibility should not be an issue.

Hoping so...

 

Your answer is logical, but I'll feel better when ED will officially annouce it. ;)

 

Sorry for the "similar thread", I didn't see it... Any link ?

 

Bests,

Azrayen'

 

PS : VapoR, they are some newbies on LO, who were waiting BS to try multiplayer, not wanting to buy FC then BS just one or two months later... (as it had been previously announced that FC was to be included in BS)

spacer.png

Link to comment
Share on other sites

Hello,

 

ED recently seems to have changed its mind about BS including FC.

The official website now reads :

 

 

OK, so if you own LO+BS, you've got a 1.2 version, but no flyable Su-25T. That's OK.

But will the LO+FC+BS and LO+BS (both giving "1.2") be compatible for Multiplayer ?

 

Regards,

Azrayen'

 

 

Judging from ED's past trend, the odds that FC (stand-alone), BS, and BS + FC will be compatible online are slim to none.

 

Since the days of Flanker, evey upgrade in version number has seen changes in FM's for all planes, making it incomaptible with the previous version.

Dave "Hawg11" St. Jean

Link to comment
Share on other sites

The discussion seems like reading the bottom of your Coffe Pot (german saying).

 

What SHOULD be?

1. FC is (beside "technical improvement" & error fixing) a SU-25T AddOn.

2. BS is (beside further "technical improvement" & error fixing) a Ka-50 AddOn.

3. ED should deliver a FC patch so that there will FC have "technical" the same status like BS and so they will be compatible. If you don't have one of the AddOns, you cannot fly that specific machine. (I do not know, how it in Multiplayer works? What happens in MS FlightSim when someone have an AddOn?)

 

This implies: if it would be technically possible, so they would principally be able to deliver a patch so that LockOn itself could be compatible to either FC and/ or BS... They didn't do that: for technical or political reasons?

 

If they will not make FC and BS compatible to each other this politics wll be the death of that peace of software: newcomers will have to buy LockOn, FC, BS and...? You can forget that.

 

btw: I ordered yesterday Falcon 4...

[sIGPIC][/sIGPIC]

Thrustmaster HOTAS Warthog :: Saitek Rudder :: Track IR5 ::

EVGA 3 GB GTX580 :: AMD FX-8120 :: SSD 240 GB :: Win7 Ultimate 64

Link to comment
Share on other sites

To be honest I don't think it's going to be a big deal, most games/sims never give you all previous upgrades when you purchase the latest addon. Even first person shooters have incompatibility issues when gaming online with plays running different versions. Whether its official addons or unofficial Mods. Take IL2PFm which follows the norm and forces you to buy the complete merged package if you want to have any kind of quality online experience with the sim. In fact I only know of one game/sim that allows different versions to coexist online together and that's M$FS. However that does work a little different especially when using VATSIM which I believe still uses a common shapes library. This has other issues as well seeing as once I forgot to change my aircraft selection and while, to me I looked like I was flying a Jetranger helicopter everyone else saw a hovering A330 lol. The point is that if the two hybrid lockon sims are not compatible with each other then Players will do what they have done and are doing in other games and just purchase the relevant software.

Cozmo.

[sIGPIC][/sIGPIC]

Minimum effort, maximum satisfaction.

 

CDDS Tutorial Version 3. | Main Screen Mods.

Link to comment
Share on other sites

Rejoining 33| 309th_Hedgehog : Some clarification (of my own, not ED official at all), just to keep the thread in good mood :

 

Let's consider those points :

1] The patches from ED (1.01, 1.02, 1.11, 1.12(a)) are free // the add-ons (adding new flyable machines : 1.1 => SU-25T / 1.2 => KA-50) must be bought.

 

2] FC is a patch (bug fixing) and an add-on (adding the flyable Su-25T).

 

3] BS, in the same logic, can be considered as a patch (bug fixing, FMs, map extension) AND an add-on (adding the flyable Ka-50)

 

4] Reminder : The official Website reads "If you don't have Flaming Cliffs, it will upgrade Lock On to 1.2 standard but it will not include the Su-25T and Flaming Cliffs missions and campaigns."

 

=> Therefore I understand that :

  • All the bug fixing of FC will be implemented in BS (that's already the case with others patchs : you don't need to install 1.11 since 1.12 is available, as 1.12 includes 1.11)
  • But, if you have LO+BS but you don't have FC, the "add-on part" (the flyable Su-25T) won't be available.
  • I hope and think that both 1.2 version (with or without FC) will be network compatible (I suppose that people who don't have FC won't have the possibility to choose a Su-25T in the "select plane" screen)

 

===>> The only question remaining is then :

Can any ED official confirm us that LO+BS and LO+FC+BS will be compatible in multiplayer ?

 

Azrayen'

 

PS : Cosmonaut, the comparison with il-2 series is difficult. What I read from lockon.ru Website let me think that both installation types will be "1.2 standart" and then MP compatible. I foresee no technical impossibility to make LO+FC+BS and LO+BS compatible, as both'll have the 1.2 bug fixing level, the 1.2 map, the 1.2 FM... etc.

spacer.png

Link to comment
Share on other sites

PS : Cosmonaut, the comparison with il-2 series is difficult. What I read from lockon.ru Website let me think that both installation types will be "1.2 standart" and then MP compatible. I foresee no technical impossibility to make LO+FC+BS and LO+BS compatible, as both'll have the 1.2 bug fixing level, the 1.2 map, the 1.2 FM... etc.

 

I agree and I hope they are compatible but from my experience I doubt they will be. Having a flyable AFM Su25T not available to LO+BS when connecting to a LO+FC+BS host in a combat sim doesnt seem very likely ... lets just hope I'm wrong.

Cozmo.

[sIGPIC][/sIGPIC]

Minimum effort, maximum satisfaction.

 

CDDS Tutorial Version 3. | Main Screen Mods.

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...